org.apache.ivy.osgi.repo

## Class RepoDescriptor

- java.lang.Object
- - org.apache.ivy.osgi.repo.RepoDescriptor

Direct Known Subclasses:
  AggregatedRepoDescriptor, EditableRepoDescriptor

    public abstract class RepoDescriptor
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RepoDescriptor()`

### Method Summary

Methods
`abstract java.util.Set<ModuleDescriptorWrapper>` `findModules(java.lang.String requirement, java.lang.String value)`
`abstract java.util.Set<java.lang.String>` `getCapabilities()`
`abstract java.util.Set<java.lang.String>` `getCapabilityValues(java.lang.String capabilityName)`
`abstract java.util.Iterator<ModuleDescriptorWrapper>` `getModules()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepoDescriptor

    public RepoDescriptor()

### Method Detail

#### getModules

    public abstract java.util.Iterator<ModuleDescriptorWrapper> getModules()

#### getCapabilities

    public abstract java.util.Set<java.lang.String> getCapabilities()

#### findModules

    public abstract java.util.Set<ModuleDescriptorWrapper> findModules(java.lang.String requirement,
                                                     java.lang.String value)

#### getCapabilityValues

    public abstract java.util.Set<java.lang.String> getCapabilityValues(java.lang.String capabilityName)